<?php 
/*----------------------------------------------------------------------\
|        IPAcco - Cisco IP accounting collector and visualizer          |
|                          Version 0.2
|             Copyright (c) 2004-2005 Dmitriy Stepanenko
+-----------------------------------------------------------------------+
| This source file is subject the license, that is bundled with this    |
| package in the file LICENSE.                                          |
| If you did not receive a copy of the Mudropolk license, please send a |
| note to mpolk@kt-privat.donetsk.ua so I can mail you a copy.          |
+-----------------------------------------------------------------------+
| Author: Dmitriy Stepanenko aka Mudropolk <mpolk@kt-privat.donetsk.ua> |
+-----------------------------------------------------------------------+
| $Id: Help.php,v 1.1 2005/05/19 08:48:43 mpolk Exp $
| Help page.                                                            |
\----------------------------------------------------------------------*/

require_once("Globals.php"); 
require_once("MainMenu.php"); 
?>
<?php print DTD ?>
<html>
<head>
<?php 
$Title = "Help";
if (isset($_GET["Topic"]))
    $Title .= ": " . $_GET["Topic"];
include("PageHeader.php");
?>
</head>
<body>
<form method="post">
<?php 
include("PageTop.php");
?>
</form>

<?php
if (! empty($_GET["Topic"]))
    $Topic = $_GET["Topic"];
else
    $Topic = "";
$MainMenu = new MainMenu();
$MainMenu->MakeHTML("Help", $Topic);

include("PageMiddle.php");
?>
<div class="help">
<?php
if (empty($Topic))
    include("help/Overview.html");
else
    include("help/$Topic.html");
?>
</div>
<?php
include("PageBottom.php");
?>
</body>
</html>
