<?php
/*----------------------------------------------------------------------\
|        IPAcco - Cisco IP accounting collector and visualizer          |
|                          Version 0.2.0.1
|             Copyright (c) 2004-2005 Dmitriy Stepanenko
+-----------------------------------------------------------------------+
| This source file is subject the license, that is bundled with this    |
| package in the file LICENSE.                                          |
| If you did not receive a copy of the Mudropolk license, please send a |
| note to mpolk@kt-privat.donetsk.ua so I can mail you a copy.          |
+-----------------------------------------------------------------------+
| Author: Dmitriy Stepanenko aka Mudropolk <mpolk@kt-privat.donetsk.ua> |
+-----------------------------------------------------------------------+
| $Id: Globals.php,v 1.2 2005/11/07 09:25:10 mpolk Exp $
| Global settings used by the most of the scripts.                      |
\----------------------------------------------------------------------*/

// Debugging mode flag - controls displaying some debug info on the page top
define("DEBUG", FALSE);

function Trace($Msg) {
    if (DEBUG)
        echo('<span class="debug">'.$Msg.'</span><br>');
}//Trace

// Site-wide global settings
define("DTD", '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">');
//define("DTD", '');
define("VERSION", "0.2.0.1");
require_once("SiteDefs.php");
session_start();

// Gather some knowledge about the world around us
//$BrowserInfo = get_browser();

// Setup global error handling - this can be overriden in individual pages

// Error handler - if something goes wrong it redirects user to the special page
// where he would be able to send the error report to admin
function GlobalErrorHandler($ErrorCode, $ErrorDescription, $ErrorFile, $ErrorLine) {
    if ($ErrorCode == E_STRICT)
        return;

    $MySQL_ErrCode = mysql_errno();
    $MySQL_ErrDescription = mysql_error();
    include("ServerError.php");
    exit();
}//GlobalErrorHandler

function DummyErrorHandler($ErrorCode, $ErrorDescription, $ErrorFile, $ErrorLine) {
}//DummyErrorHandler

function HideErrors() {
    set_error_handler("DummyErrorHandler");
}//HideErrors

function DontHideErrors() {
    restore_error_handler();
}//DontHideErrors

set_error_handler("GlobalErrorHandler");
?>
