<?php
/*----------------------------------------------------------------------\
|        IPAcco - Cisco IP accounting collector and visualizer          |
|                          Version 0.2.0.1
|             Copyright (c) 2004-2005 Dmitriy Stepanenko
+-----------------------------------------------------------------------+
| This source file is subject the license, that is bundled with this    |
| package in the file LICENSE.                                          |
| If you did not receive a copy of the Mudropolk license, please send a |
| note to mpolk@kt-privat.donetsk.ua so I can mail you a copy.          |
+-----------------------------------------------------------------------+
| Author: Dmitriy Stepanenko aka Mudropolk <mpolk@kt-privat.donetsk.ua> |
+-----------------------------------------------------------------------+
| $Id: PageTop.php,v 1.2 2005/11/07 09:25:10 mpolk Exp $
| Standard page top.                                                    |
\----------------------------------------------------------------------*/

//require_once("TimeSelector.php");

if (! isset($_SESSION["BannerRotator"]))
    $_SESSION["BannerRotator"] = 0;
$_SESSION["BannerRotator"]++;


function TopButton($Text, $HRef) {
    global $SelectedTopButton;
    if (empty($SelectedTopButton))
        $SelectedTopButton = "";
        
    if ($Text == $SelectedTopButton)
        echo '<td class="sel-top-button"><a href="index.php">', $Text, '</a>';
    else
        echo '<td class="top-button"><a href="', $HRef, '">', $Text, '</a>';
    echo "</td>\n";
}//TopButton

?>
<table border=0 margin=0 cellpadding="0" cellspacing="0" width="100%" height="100%">
  <tr><td class="top-pane" colspan="2" nowrap>
<!-- Top pane -->
  <table border=0 margin=0 cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td rowspan="2" align="right" style="padding-left: 8pt; padding-right: 4pt; border-right: 1px solid #19424A;">
    	<a href="index.php" class="top-title">IPAcco</a><br>
    	<span class="top-subtitle2">version <?php print VERSION ?>&nbsp;</span>
    </td>
    <td class="top-subtitle" width="100%" style="padding-left: 4pt; border-left: 1px solid #75A6AC; border-bottom: 1px solid #19424A;">Cisco IP Accounting Analyzer</td>
    <td rowspan="2" align="right" nowrap>
<?php
if ($_SESSION["BannerRotator"] % 2) {
?>
        <img src="images/php-power-black.gif" alt="Powered by PHP" width="88" height="31" border="0">
<?php } else { ?>
        <img src="images/poweredbymysql-88.png" alt="Powered by MySQL" width="88" height="31" border="1">
<?php
}//if
?>
        &nbsp;
    </td>
  </tr>
  
  <tr><td style="padding-left: 2pt; border-left: 1px solid #5D949B; border-top: 1px solid #5D949B;">
    <table border=0 margin=0>
    <tr>
<?php
    TopButton("Time", "ByTime.php");
    TopButton("Src", "ByAddress.php?x-coord=Src");
    TopButton("Dst", "ByAddress.php?x-coord=Dst");

    if (isset($_POST["TrafficUnits"]))
        $_SESSION["TrafficUnits"] = $_POST["TrafficUnits"];
    
    if (empty($_SESSION["TrafficUnits"]))
        $_SESSION["TrafficUnits"] = "Bytes";
        
    if (! empty($ShowTrafficUnitSelector)) {
?>

<script type="text/javascript" language="JavaScript">
<!--
function autosubmit()
{
    if (document.activeElement.form != null)
        document.activeElement.form.submit();
}//autosubmit
-->
</script>

    <td valign="baseline" class="top-small-controls"><label>&nbsp;&nbsp;Traffic measurement: </label></td>
    <td valign="baseline" class="top-small-controls"><input type="Radio" name="TrafficUnits" id="TrafficUnitsBytes" value="Bytes" onClick="autosubmit()" <?php print ($_SESSION["TrafficUnits"] == "Bytes") ? " checked" : "" ?>>
        <label for="TrafficUnitsBytes">bytes</label></td>

    <td valign="baseline" class="top-small-controls"><input type="Radio" name="TrafficUnits" id="TrafficUnitsPackets" value="Packets" onClick="autosubmit()" <?php print ($_SESSION["TrafficUnits"] == "Packets") ? " checked" : "" ?>>
        <label for="TrafficUnitsPackets">packets</label></td>
<?php 
    }//if 
    
    if (isset($HelpTopic)) {
        echo "<td>&nbsp;</td>\n";
        TopButton("Help", "Help.php?Topic=".$HelpTopic);
    }//if
?>
    </tr>
    </table>
  </td></tr>
  </table>
  </td></tr>

  <tr>
<!-- Left pane-->
    <td class="left-pane" nowrap>

