<?php 
/*----------------------------------------------------------------------\
|        IPAcco - Cisco IP accounting collector and visualizer          |
|                          Version 0.2.0.1
|             Copyright (c) 2004-2005 Dmitriy Stepanenko
+-----------------------------------------------------------------------+
| This source file is subject the license, that is bundled with this    |
| package in the file LICENSE.                                          |
| If you did not receive a copy of the Mudropolk license, please send a |
| note to mpolk@kt-privat.donetsk.ua so I can mail you a copy.          |
+-----------------------------------------------------------------------+
| Author: Dmitriy Stepanenko aka Mudropolk <mpolk@kt-privat.donetsk.ua> |
+-----------------------------------------------------------------------+
| $Id: index.php,v 1.2 2005/11/07 09:25:10 mpolk Exp $
| The start page.                                                       |
| Shows some status info.                                               |
\----------------------------------------------------------------------*/

require_once("Globals.php"); 
require_once("MainMenu.php"); 

$DB = mysql_pconnect(DBSERVER, DBLOGIN, DBPASSWORD);
mysql_select_db(DBNAME);
    
$Result = mysql_query("SELECT MIN(Time), MAX(Time), COUNT(*) 
                       FROM DayReadouts");
$Row = mysql_fetch_row($Result);
$FirstDayReadout = $Row[0];
$LastDayReadout = $Row[1];
$NDayReadouts = $Row[2];
mysql_free_result($Result);

$Result = mysql_query("SELECT MIN(Time), MAX(Time), COUNT(*) 
                       FROM WeekReadouts");
$Row = mysql_fetch_row($Result);
$FirstWeekReadout = $Row[0];
$LastWeekReadout = $Row[1];
$NWeekReadouts = $Row[2];
mysql_free_result($Result);

$Result = mysql_query("SELECT MIN(Time), MAX(Time), COUNT(*) 
                       FROM MonthReadouts");
$Row = mysql_fetch_row($Result);
$FirstMonthReadout = $Row[0];
$LastMonthReadout = $Row[1];
$NMonthReadouts = $Row[2];
mysql_free_result($Result);

$Result = mysql_query("SELECT MIN(Time), MAX(Time), COUNT(*) 
                       FROM YearReadouts");
$Row = mysql_fetch_row($Result);
$FirstYearReadout = $Row[0];
$LastYearReadout = $Row[1];
$NYearReadouts = $Row[2];
mysql_free_result($Result);

$TotalSpace = 0;
$Result = mysql_query("SHOW TABLE STATUS LIKE '%Data'");
while ($Row = mysql_fetch_object($Result)) {
    $Idx = strtolower(substr($Row->Name, 0, strlen($Row->Name) - 4));
    $NDataRecs[$Idx] = $Row->Rows;
    $DataLength[$Idx] = $Row->Data_length;
    $IndexLength[$Idx] = $Row->Index_length;
    $TotalSpace += $Row->Data_length + $Row->Index_length;
}//while
mysql_free_result($Result);

?>
<?php print DTD ?>
<html>
<head>
<?php 
include("PageHeader.php");
?>
</head>
<body>
<form method="post">
<?php 
$HelpTopic = "StatusPage";
include("PageTop.php");
?>
</form>

<?php
$MainMenu = new MainMenu();
$MainMenu->MakeHTML("Status");

include("PageMiddle.php");
?>

<span class="small-title">Data statistics</span>
<table border="1" cellspacing="0" cellpadding="2">
<tr><th>View</th><th>Readouts</th><th>Data records</th><th>Observation period</th></tr>
<tr><td>Day</td><td align="right"><?php print $NDayReadouts ?></td><td align="right"><?php print $NDataRecs["day"] ?></td><td><?php print $FirstDayReadout ?> to <?php print $LastDayReadout ?></td></tr>
<tr><td>Week</td><td align="right"><?php print $NWeekReadouts ?></td><td align="right"><?php print $NDataRecs["week"] ?></td><td><?php print $FirstWeekReadout ?> to <?php print $LastWeekReadout ?></td></tr>
<tr><td>Month</td><td align="right"><?php print $NMonthReadouts ?></td><td align="right"><?php print $NDataRecs["month"] ?></td><td><?php print $FirstMonthReadout ?> to <?php print $LastMonthReadout ?></td></tr>
<tr><td>Year</td><td align="right"><?php print $NYearReadouts ?></td><td align="right"><?php print $NDataRecs["year"] ?></td><td><?php print $FirstYearReadout ?> to <?php print $LastYearReadout ?></td></tr>
</table>
<br>

<span class="small-title">Database statistics</span>
<table border="1" cellspacing="0" cellpadding="2">
<tr><th>Table</th><th>Space used by data</th><th>Space used by indexes</th><th>Total space for the table</th></tr>
<?php
foreach (array("day", "week", "month", "year") as $Idx) {
?>
<tr><td><?php print $Idx ?>data</td><td align="right"><?php print $DataLength[$Idx] ?></td><td align="right"><?php print $IndexLength[$Idx] ?></td><td align="right"><?php print $DataLength[$Idx] + $IndexLength[$Idx] ?></td></tr>
<?php
}//foreach
?>
<tr><td colspan="3">Total</td><td align="right"><?php print $TotalSpace ?></td></tr>
</table>

<?php 
include("PageBottom.php");
?>
</body>
</html>
